<div class="card">

    <div class="card-header d-flex justify-content-center">

        <h2 class="card-title fw-bold text-center">Générer des images</h2>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-12 col-sm-8 col-md-6 col-lg-12 px-xl-2 mx-auto">

                <form class="auth-login-form mt-2" [formGroup]="form">
                    <div class="mb-1">
                        <label class="form-label" for="prompt">Description des images à générer</label>
                        <textarea class="form-control" rows="4" id="prompt" formControlName="prompt"
                            placeholder="Ecrivez ici..."></textarea>
                    </div>
                    <div class="mb-1">
                        <label class="form-label" for="n">Nombre des images à générer</label>
                        <input class="form-control" type="number" id="n" formControlName="n" />
                    </div>
                    <div class="mb-1">
                        <label class="form-label" for="size">Resolution des images à générer</label>
                        <select class="form-control" id="size" formControlName="size">
                            <option value="256x256">256x256</option>
                            <option value="512x512">512x512</option>
                            <option value="1024x1024">1024x1024</option>
                        </select>
                    </div>
                    <div class="d-flex justify-content-center">
                        <app-gen-button (genClick)="submit()" [text]="'Générer'" [customClass]="'w-100'"
                            [disabled]="!form.valid" [isLoading]="isLoading"></app-gen-button>
                    </div>
                    <!-- <div class="mb-1">
                                    <label class="form-label" for="resp">La réponse</label>
                                    <textarea class="form-control" id="resp" formControlName="resp"  #resp [style]="{height: resp.scrollHeight+'px', minHeight: '30px'}"></textarea>
                                </div> -->

                    <div class="d-flex justify-content-center flex-wrap mt-2">
                        <div class="my-image-item" *ngFor="let item of results; let i=index" >
                            <img [src]="item.url">
                            <div class="overlay">
                                <a [href]="item.url" target="_blank">
                                    <i class="fa fa-download"></i>
                                </a>
                                
                            </div>
                          </div>
                        
                    </div>


                    <input type="submit" hidden>

                </form>

            </div>

        </div>

    </div>

</div>